import { BE_DOCUSEAL_DOWNLOAD_TEMPLATE } from '@/utils/Url';

export default function handler(req, res) {
  if (req.method === 'GET') {
    const { slug } = req.query;
    console.log('slug : ', slug)

    fetch(`${BE_DOCUSEAL_DOWNLOAD_TEMPLATE}/${slug}`, {
      method: 'GET',
      headers: {
        'X-Auth-Token': process.env.DOCUSEAL_API_KEY
      }
    })
    .then(response => {
      if (!response.ok) {
        return response.json().then(err => { throw new Error(err.message); });
      }
      return response.json();
    })
    .then(data => {
      console.log('Template downloaded successfully:', data);
      res.status(200).json(data);
    })
    .catch(error => {
      console.error('Error downloading template:', error);
      res.status(500).json({ error: 'Internal Server Error' });
    });
  } else {
    res.setHeader('Allow', ['GET']);
    res.status(405).end(`Method ${req.method} Not Allowed`);
  }
}